Bug 70767 - OpenOffice RPM installs world-writable files
OpenOffice RPM installs world-writable files
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: openoffice.org (Show other bugs)
limbo
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
: Security
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-04 20:50 EDT by Dax Kelson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-04 23:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-08-04 20:50:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
The following files installed by the OpenOffice RPM have evil permissions:

/usr/share/doc/openoffice-1.0.1/bg_BG/ChangeLog
/usr/share/doc/openoffice-1.0.1/bg_BG/COPYING
/usr/share/doc/openoffice-1.0.1/bg_BG/COPYING.BULGARIAN
/usr/share/doc/openoffice-1.0.1/bg_BG/README
/usr/share/doc/openoffice-1.0.1/bg_BG/README.bgOffice
/usr/share/doc/openoffice-1.0.1/bg_BG/TODO.bgOffice
/usr/share/doc/openoffice-1.0.1/fr_FR/GPL-fr
/usr/share/doc/openoffice-1.0.1/pt_BR/README_pt_BR.txt

They are all 666. They can be used by malicious users to bypass quota restrictions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
n/a	

Actual Results:  Files are insecure

Expected Results:  They should be 644.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-08-05 10:16:36 EDT
Fixed in 1.0.0-3

Note You need to log in before you can comment on or make changes to this bug.